{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/AbstractionImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 4,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 4,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/AbstractionImpl.getMapping()Lorg/eclipse/uml2/uml/OpaqueExpression;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.getSources()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/AbstractionImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.basicGetTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 3,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.getTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eContainer()Lorg/eclipse/emf/ecore/EObject;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.getTargets()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.getOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.getClients()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/AbstractionImpl.basicGetMapping()Lorg/eclipse/uml2/uml/OpaqueExpression;": 4,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 4,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.getRelatedElements()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 4
  }
}